.klm-prod-service-content {
    background-color: #0B0D3D;
}

.kunlunmeta-page-container .kunlunmeta-hero-banner {
    height: 872px;
    background-image: url("../images/prod-service/banner-bg.png")
}

.section-hero__content {
    width: 1200px;
    padding-top: 440px;
    margin: 0 auto;
    text-align: center;
}

.section-hero__title {
    font-family: AlibabaPuHuiTi_3_85_Bold;
    font-size: 50px;
    color: #FFFFFF;
    line-height: 70px;
}

.section-hero__desc {
    font-family: PingFangSC, PingFang SC;
    font-weight: 400;
    font-size: 24px;
    color: #FFFFFF;
    line-height: 33px;
    margin-top: 36px;
}

.core-product-matrix-section {
    padding-top: 86px;
    width: 1200px;
    margin: 0 auto;
}

.core-product-matrix-header {
    position: relative;
}

.core-product-matrix-header .klm-join-agi-header-img {
    top: -20px;
    left: 320px;
}

.core-product-matrix-label {
    font-family: PingFangSC, PingFang SC;
    font-weight: 400;
    font-size: 24px;
    color: #A6C6DB;
    line-height: 33px;

}

.core-product-matrix-title {
    font-family: PingFangSC, PingFang SC;
    font-weight: 600;
    font-size: 24px;
    color: #FFFFFF;
    line-height: 33px;
    margin-top: 16px;
    position: relative;
    letter-spacing: 1px;
    z-index: 10;
}

.core-product-matrix-desc {
    font-family: PingFangSC, PingFang SC;
    font-weight: 400;
    font-size: 14px;
    color: #FFFFFF;
    line-height: 20px;
    margin-top: 8px;
    letter-spacing: 1px;
}

.core-product-detail {
    margin-top: 46px;
}

.core-product-name {
    font-family: PingFangSC, PingFang SC;
    font-weight: 600;
    font-size: 24px;
    color: #FFFFFF;
    line-height: 33px;
}

.core-product-name-label {
    font-family: PingFangSC, PingFang SC;
    font-weight: 600;
    font-size: 24px;
    line-height: 33px;
    background: linear-gradient(21.696332774914236deg, #017FFF 0%, #00AAFC 100%);
    -webkit-background-clip: text;
    background-clip: text;
    -webkit-text-fill-color: transparent;
    color: transparent;
}

.core-product-intro {
    width: 818px;
    font-family: PingFangSC, PingFang SC;
    font-weight: 400;
    font-size: 14px;
    color: #FFFFFF;
    line-height: 20px;
    margin-top: 12px;
    letter-spacing: 0.7px;
}

.core-product-feature-group {
    margin-top: 20px;
    position: relative;
}

.core-product-demo-img {
    width: 564px;
    transition: transform 0.3s ease;
}

.core-product-info:hover .core-product-demo-img {
    transform: scale(1.05) !important;
}

.core-product-demo {
    position: absolute;
    right: 0;
    flex-shrink: 0;
    top: 50%;
    transform: translateY(-50%);
    /* z-index: 10; */
}

.core-product-feature-title {
    font-family: PingFangSC, PingFang SC;
    font-weight: 400;
    font-size: 20px;
    color: #FFFFFF;
    line-height: 28px;
    position: relative;
    margin-bottom: 16px;
    position: relative;
    display: inline-block;
    z-index: 1;
}

/* .core-product-feature-title::after {
    content: "";
    position: absolute;
    left: 0;
    top: 50%;
    transform: translateY(-50%);
    background: linear-gradient(102deg, #0183FF 0%, rgba(0, 170, 252, 0.19) 100%);
    border-radius: 4px;
    opacity: 0.83;
    width: 60px;
    height: 18px;
    z-index: -1;
} */

.core-product-feature-list-wrapper {
    margin-top: 24px;
    position: relative;
}

.core-product-feature-list-wrapper::before {
    content: "";
    position: absolute;
    left: 0;
    top: 0;
    width: 1px;
    height: 100%;
    background: #242651;
}

/* .core-product-feature-list-wrapper::after {
    content: "";
    position: absolute;
    left: -1px;
    top: var(--indicator-top, 0px);
    width: 3px;
    height: 100px;
    background: #C9DCF9;
    border-radius: 3px;
    transition: top 0.1s ease;
} */

.hide-indicator .core-product-feature-list-wrapper::after {
    display: none;
}

.bzai-product {
    margin-bottom: 58px;
}

.bzai-product .core-product-feature-list {
    width: calc(100% - 596px);
}

.kunlunji-product {
    margin-bottom: 58px;
}

.ai-infra-product .core-product-demo,
.kunlunji-product .core-product-demo {
    left: 0;
}

.kunlunji-product .core-product-demo-img {
    width: 526px;
}

.kunlunji-product .core-product-name,
.kunlunji-product .core-product-intro {
    margin-left: 542px;
    width: auto;
}

.kunlunji-product .core-product-feature-list-wrapper {
    margin-left: 558px;
}

.baizitengteng-product .core-product-demo-img {
    width: 627px;
}

.baizitengteng-product .core-product-feature-list {
    width: calc(100% - 659px);
}

.baizitengteng-product {
    margin-bottom: 58px;
}

.ai-infra-product .core-product-demo-img {
    width: 538px;
}

.ai-infra-product .core-product-name,
.ai-infra-product .core-product-intro {
    margin-left: 542px;
    width: auto;
}

.ai-infra-product .core-product-feature-list-wrapper {
    margin-left: 570px;
}

.core-product-feature-list {
    padding-left: 24px;
    position: relative;
    /* height: 488px; */
    overflow-y: scroll;
    scrollbar-width: none;
    -ms-overflow-style: none;
}

.core-product-feature-list::-webkit-scrollbar {
    display: none;
}

.core-product-feature-item {
    display: flex;
    flex-direction: column;
    margin-bottom: 24px;
}

.core-product-feature-header {
    display: flex;
    align-items: center;
}

.core-product-feature-name {
    font-family: PingFangSC, PingFang SC;
    font-weight: 600;
    font-size: 16px;
    color: #FFFFFF;
    line-height: 22px;
    letter-spacing: 1px;
}

.core-product-feature-icon {
    height: 20px;
    margin-right: 8px;
}

.core-product-feature-text {
    font-family: PingFangSC, PingFang SC;
    font-weight: 400;
    font-size: 14px;
    color: #C9DCF9;
    line-height: 20px;
    margin-top: 8px;
    padding-left: 29px;
}

.product-advantage-card-group {
    display: flex;
    gap: 16px;
    margin-top: 20px;
    flex-direction: row;
    flex-wrap: wrap;
}

.product-advantage-card {
    width: calc(100% / 4 - 12px);
    padding: 22px 16px 22px 16px;
    background: linear-gradient(180deg, #131649 0%, #0D0F43 100%);
    border-radius: 8px;
}

.product-advantage-card-header {
    display: flex;
    align-items: center;
}

.product-advantage-card-icon {
    width: 24px;
    height: 24px;
    margin-right: 12px;
}

.product-advantage-card-title {
    font-family: PingFangSC, PingFang SC;
    font-weight: 500;
    font-size: 16px;
    color: #FFFFFF;
    line-height: 22px;
}

.product-advantage-card-line {
    width: 100%;
    height: 1px;
    background-color: rgba(151, 151, 151, 0.36);
    margin-top: 12px;
    margin-bottom: 18px;
}

.product-advantage-card-desc {
    font-family: PingFangSC, PingFang SC;
    font-weight: 400;
    font-size: 14px;
    color: #C9DCF9;
    line-height: 20px;
    height: 40px;
}

.kunlunling-initiative-container {
    margin-top: 24px;
    display: flex;
    justify-content: space-between;
    align-items: center;
    gap: 123px;
}

.kunlunling-initiative-content {
    display: flex;
    flex-direction: column;

}

.kunlunling-initiative-title {
    font-family: PingFangSC, PingFang SC;
    font-weight: 600;
    font-size: 24px;
    color: #FFFFFF;
    line-height: 33px;
}

.kunlunling-initiative-title-label {
    font-family: PingFangSC, PingFang SC;
    font-weight: 600;
    font-size: 24px;
    line-height: 33px;
    background: linear-gradient(21.696332774914236deg, #017FFF 0%, #00AAFC 100%);
    -webkit-background-clip: text;
    background-clip: text;
    -webkit-text-fill-color: transparent;
    color: transparent;
}

.kunlunling-initiative-desc {
    font-family: PingFangSC, PingFang SC;
    font-weight: 400;
    font-size: 14px;
    color: #FFFFFF;
    line-height: 20px;
    margin-top: 12px;
}

.kunlunling-initiative-btn {
    width: 330px;
    height: 44px;
    background: linear-gradient(309deg, #11A0F8 0%, #0767EE 100%);
    border-radius: 8px;
    font-family: PingFangSC, PingFang SC;
    font-weight: 400;
    font-size: 14px;
    color: #FFFFFF;
    line-height: 44px;
    text-align: center;
    flex-shrink: 0;
    cursor: pointer;
    transition: transform 0.3s ease;
}

.kunlunling-initiative-btn:hover {
    transform: scale(1.05) !important;
}

/* === */
.client-case-system-section {
    margin-top: 126px;
    overflow: hidden;
}

.client-case-system-header {
    position: relative;
    width: 1200px;
    margin: 0 auto;
}

.client-case-system-header .klm-join-agi-header-img {
    top: -20px;
    left: 320px;
}

.client-case-system-label {
    font-family: PingFangSC, PingFang SC;
    font-weight: 400;
    font-size: 24px;
    color: #A6C6DB;
    line-height: 33px;
}

.client-case-system-desc {
    font-family: PingFangSC, PingFang SC;
    font-weight: 400;
    font-size: 14px;
    color: #FFFFFF;
    line-height: 20px;
    margin-top: 12px;
    position: relative;
    z-index: 10;
}

.client-logo-img {
    height: 83px;
    border-radius: 8px;
}

.client-logo-img:hover {
    /*transform: scale(1.08);*/
}

.client-logo-group-01 {
    /* padding-left: 16px;
    padding-right: 90px; */
    width: calc(100% - 90px - 16px);
    margin-left: 16px;
    margin-right: 90px;
    margin-top: 52px;
    overflow: hidden;
}

.client-logo-group-02 {
    /* padding-left: 90px;
    padding-right: 16px; */
    width: calc(100% - 90px - 16px);
    margin-left: 90px;
    margin-right: 16px;
    margin-top: 24px;
    overflow: hidden;
}

.client-logo-row {
    display: flex;
}

.client-logo-group-01 .swiper-wrapper,
.client-logo-group-02 .swiper-wrapper {
    transition-timing-function: linear !important;
}

.client-logo-item {
    /*width: auto !important;*/
    /*height: 83px !important;*/
    transition: transform 0.3s ease;
    box-shadow: 0 5px 20px rgba(0, 0, 0, 0.4) !important;
}

.client-logo-item:hover {
    transform: scale(1.08);
}

.prod-service-hero-banner-content {
    width: 1200px;
    padding-top: 240px;
    margin: 0 auto;
    text-align: center;
}

.prod-service-hero-banner-title {
    font-size: 50px;
    color: transparent;
    line-height: 70px;
    text-align: center;
    font-style: normal;
    background: linear-gradient(90deg, #FFFFFF 0%, #0E65CE 100%);
    -webkit-background-clip: text;
    background-clip: text;
}

.prod-service-hero-banner-desc {
    font-size: 20px;
    color: #E3F3FF;
    line-height: 28px;
    text-align: center;
    margin-top: 20px;
}